Bug 823095 - SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'read' accesses on the file MOV03475.THM. I tried to upload a video to archive.org using their flash uploader.
SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'read' acc...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f263dcf82804a0d61a3c6b747d6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 23:07 EDT by Ankur Sinha (FranciscoD)
Modified: 2012-06-14 08:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 08:26:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2012-05-18 23:07:07 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.4-5.fc17.x86_64
time:           Saturday 19 May 2012 08:36:30 AM IST

description:
:SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'read' accesses on the file MOV03475.THM.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that plugin-container should be allowed read access on the MOV03475.THM file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep pool /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:var_run_t:s0
:Target Objects                MOV03475.THM [ file ]
:Source                        pool
:Source Path                   /usr/lib64/xulrunner-2/plugin-container
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           xulrunner-12.0-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-121.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.4-5.fc17.x86_64 #1 SMP Mon May
:                              7 17:29:34 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Saturday 19 May 2012 08:35:45 AM IST
:Last Seen                     Saturday 19 May 2012 08:35:46 AM IST
:Local ID                      36f6aced-3515-44da-bdb4-a7f55cf02e2d
:
:Raw Audit Messages
:type=AVC msg=audit(1337396746.215:519): avc:  denied  { read } for  pid=30607 comm="pool" name="MOV03475.THM" dev="sda8" ino=8921286 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:var_run_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1337396746.215:519): arch=x86_64 syscall=open success=no exit=EACCES a0=7f33986915c0 a1=40000 a2=7f339fa21040 a3=0 items=0 ppid=2409 pid=30607 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=pool exe=/usr/lib64/xulrunner-2/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: pool,mozilla_plugin_t,var_run_t,file,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-05-21 03:37:44 EDT
Where is MOV03475.THM located?
Comment 2 Ankur Sinha (FranciscoD) 2012-05-21 10:55:20 EDT
It's a partition on my main HDD that I've configured to auto mount on boot using the gnome3 disks utility.

[ankur@ankur 20120518]$ pwd
/mnt/Miscellaneous/.Pictures/20120518
[ankur@ankur 20120518]$ ls MOV03475.THM
MOV03475.THM
[ankur@ankur 20120518]$ df -h
Filesystem      Size  Used Avail Use% Mounted on
<snip>
/dev/sda8       206G  191G  4.8G  98% /mnt/Miscellaneous

[root@ankur ~]# fdisk -l
Disk /dev/sda: 500.1 GB, 500107862016 bytes
255 heads, 63 sectors/track, 60801 cylinders, total 976773168 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0xe8000000

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1              63      224909      112423+  de  Dell Utility
/dev/sda2          225280    61659135    30716928   83  Linux
/dev/sda3   *    61659136    62707711      524288   83  Linux
/dev/sda4        62707712   976773119   457032704    5  Extended
/dev/sda5        62711808   472311807   204800000   83  Linux
/dev/sda6       472313856   535228415    31457280   83  Linux
/dev/sda7       535230464   545388543     5079040   82  Linux swap / Solaris
/dev/sda8       545390592   976773119   215691264   83  Linux
[root@ankur ~]# blkid
<snip>
/dev/sda8: LABEL="Miscellaneous" UUID="XXXXXXXX" TYPE="ext4"
Comment 3 Daniel Walsh 2012-05-29 15:05:19 EDT
chcon -Rt user_home_t /mnt/Miscellaneous

Should fix the problem.
Comment 4 Ankur Sinha (FranciscoD) 2012-06-14 08:26:37 EDT
Thanks Daniel:) 

I've run the command. I'll file another bug if something else comes up. Closing.

Note You need to log in before you can comment on or make changes to this bug.